com.ibm.openpages.api.rule

## Interface ITBAction

- All Known Subinterfaces:
    ITBCalculationAction, IWFAction

      public interface ITBAction

  Represents the action configured on the toolbox items

  Since:
    8.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IWFConditionEval` | `getCondition()` Returns the condition that is evaluated right before the action is taken to determine if the action is executed further.
    `IWFCustomActionDef` | `getCustomAction()` Returns the custom action object.
    `java.util.List<IWFFieldSetter>` | `getFieldSetters()` Returns the field setter to run by the workflow action.
    `java.lang.String` | `getName()` Returns the name of the workflow action.
    `IWFConditionEval` | `getValidator()` Returns the validator to run by the workflow action.
    `IWFEvalUnit` | `getVariableValue()` Returns the eval unit associated with a calculation definition variable
    `void` | `setCondition(IWFConditionEval condition)` Assigns the condition to determine the action is taken or is skipped.
    `void` | `setCustomAction(IWFCustomActionDef customAction)` Sets the custom action object that should be executed.
    `void` | `setFieldSetters(java.util.List<IWFFieldSetter> setters)` Sets the field setter to run by the workflow action.
    `void` | `setName(java.lang.String name)` Sets the name of the workflow action.
    `void` | `setValidator(IWFConditionEval validator)` Sets the validator to run by the workflow action.
    `void` | `setVariableValue(IWFEvalUnit variableValue)` Sets the eval unit for a calculation definition variable

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the workflow action.
      Returns:
        name as a string

    - #### setName

          void setName(java.lang.String name)

      Sets the name of the workflow action.
      Parameters:
        `name` - as a string

    - #### getValidator

          IWFConditionEval getValidator()

      Returns the validator to run by the workflow action. This is applicable only when the type is `WFActionType.validate`.
      Returns:

    - #### setValidator

          void setValidator(IWFConditionEval validator)

      Sets the validator to run by the workflow action. This is applicable only when the type is `WFActionType.validate`.
      Parameters:
        `validators` -

    - #### getFieldSetters

          java.util.List<IWFFieldSetter> getFieldSetters()

      Returns the field setter to run by the workflow action. This is applicable only when the type is `WFActionType.setFields`.
      Returns:

    - #### setFieldSetters

          void setFieldSetters(java.util.List<IWFFieldSetter> setters)

      Sets the field setter to run by the workflow action. This is applicable only when the type is `WFActionType.setFields`.
      Parameters:
        `setters` -

    - #### getCustomAction

          IWFCustomActionDef getCustomAction()

      Returns the custom action object. This is applicable only when the type is `WFActionType.customAction`.
      Returns:

    - #### setCustomAction

          void setCustomAction(IWFCustomActionDef customAction)

      Sets the custom action object that should be executed. This is applicable only when the type is `WFActionType.customAction`.
      Parameters:
        `customAction` -

    - #### getCondition

          IWFConditionEval getCondition()

      Returns the condition that is evaluated right before the action is taken to determine if the action is executed further. For example, set the condition when you'd like to execute the field setters in certain case. The field setters are only executed when the condition is met. Otherwise the action is skipped.
      Returns:

    - #### setCondition

          void setCondition(IWFConditionEval condition)

      Assigns the condition to determine the action is taken or is skipped.
      Parameters:
        `condition` -

    - #### getVariableValue

          IWFEvalUnit getVariableValue()

      Returns the eval unit associated with a calculation definition variable
      Returns:

    - #### setVariableValue

          void setVariableValue(IWFEvalUnit variableValue)

      Sets the eval unit for a calculation definition variable
      Parameters:
        `variableValue` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.